Subject: [Emo-dir] Fwd: Change in Sunday Newcomer Activities for IETF 105

From: Karen O'Donoghue <[email-masked]>
Date: Fri, 3 May 2019 21:45:15 +0000

Folks,

I meant to copy you on this when I sent it. I’m so glad the weekend is just around the corner…

Regards,
Karen

Begin forwarded message:

From: Karen O'Donoghue <[email-masked]<mailto:[email-masked]>>
Subject: Change in Sunday Newcomer Activities for IETF 105
Date: May 3, 2019 at 5:16:54 PM EDT
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

We have been reviewing the effectiveness of the Sunday Newcomer's programs as an ongoing process of gathering feedback on the various activities we provide. I want to share that we have decided to discontinue the Newcomer's Meet-and-Greet (at least for a few meetings).

The Newcomer’s Meet-and-Greet was created to provide IETF Newcomers with an opportunity to mingle with working group chairs and leadership in the hour before the Sunday Welcome Reception. Over the years we've struggled with how to make this program most beneficial to our new meeting participants. We've wrestled with how to best connect people together, how to manage the crowds and the sometimes deafening noise. But the biggest issue -- one that we've observed repeatedly -- is that participants in the Meet-and-Greet often end up catching up with people they already know rather than mingling with newer attendees. This is an understandable and almost inevitable side effect a large social gathering; however, it makes the program less effective than we'd like. We have discussed this a few times over the years on the wgchairs mailing list.

By contrast, Newcomers Quick Connections (previously known as Speed Mentoring) has proven to be extremely popular with Newcomers, who report a much higher level of satisfaction with the small mentor-to-newcomer ratio and the structured format.

If you've never participated in Quick Connections, it works like this: experienced IETFers are matched with small groups of newcomers (ideally in a one-to-one ratio but generally it's been more like three-to-one, as it's challenging to find enough mentors).  Mentors spend five-to-ten minutes with each individual/small group before moving on to another individual/small group. While this is not a lot of time, it is enough to cover the basics (e.g. areas of interest, essential questions). Newcomers emerge from this one-hour session having had real conversations with approximately 5~7 mentors.

For IETF 105, Quick Connections will move into the time slot previously filled by the Meet-and-Greet. Beverages and light snacks will be served. Pre-registration will be required, and there will be a limit on both newcomers and experienced IETFers in order to maintain the effectiveness of the program. We hope that you will consider participating. The program is extremely rewarding for both mentors and newcomers.